[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] conga/ricci/modules/cluster/clumon/init.d modc ...



CVSROOT:	/cvs/cluster
Module name:	conga
Branch: 	RHEL5
Changes by:	rmccabe sourceware org	2007-10-22 19:26:54

Modified files:
	ricci/modules/cluster/clumon/init.d: modclusterd 

Log message:
	Better LSB compliance

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/ricci/modules/cluster/clumon/init.d/modclusterd.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.2&r2=1.2.2.1

--- conga/ricci/modules/cluster/clumon/init.d/modclusterd	2006/10/14 18:52:23	1.2
+++ conga/ricci/modules/cluster/clumon/init.d/modclusterd	2007/10/22 19:26:54	1.2.2.1
@@ -1,8 +1,8 @@
 #!/bin/sh
 #
-# Copyright (C) 2005 Red Hat, Inc.
+# Copyright (C) 2005-2007 Red Hat, Inc.
 #
-# This program is Free Software.  You may modify and/or redistribute it under
+# This program is Free Software. You may modify and/or redistribute it under
 # the terms of the GNU General Public License version 2, or (at your option)
 # any later version.
 #
@@ -31,12 +31,12 @@
 #
 # Only root wants to run this...
 #
-[ `id -u` = 0 ] || exit 0
+[ `id -u` = 0 ] || exit 4
 
 #
 # If we're not configured, then don't start anything.
 #
-[ "${NETWORKING}" = "yes" ] || exit 0
+[ "${NETWORKING}" = "yes" ] || exit 1
 #[ -f "$CFG_FILE" ] || exit 0
 
 
@@ -46,57 +46,57 @@
 		daemon $MODCLUSTERD
 		rtrn=$?
 		if [ $rtrn -eq 0 ]; then
-		    touch $LOCKFILE
-		    /usr/bin/logger -t $MODCLUSTERD "startup succeeded"
+			touch $LOCKFILE
+			/usr/bin/logger -t $MODCLUSTERD "startup succeeded"
 		else
-		    /usr/bin/logger -t $MODCLUSTERD "startup failed"
+			/usr/bin/logger -t $MODCLUSTERD "startup failed"
+			rtrn=1
 		fi
 		echo
-		;;
+	;;
 
 	restart)
 		$0 stop
 		sleep 8
-		$0 start 
+		$0 start
 		rtrn=$?
-		;;
+	;;
 
 	status)
 		status $MODCLUSTERD
 		rtrn=$?
-		;;
+	;;
 
 	stop)
 		echo -n "Shutting down $ID: "
 		killproc $MODCLUSTERD SIGTERM
 		rtrn=$?
 		if [ $rtrn -eq 0 ]; then
-		    rm -f $PIDFILE
-		    rm -f $LOCKFILE
-		    /usr/bin/logger -t $MODCLUSTERD "shutdown succeeded"
+			rm -f $PIDFILE
+			rm -f $LOCKFILE
+			/usr/bin/logger -t $MODCLUSTERD "shutdown succeeded"
 		else
-		    /usr/bin/logger -t $MODCLUSTERD "shutdown failed"
+			/usr/bin/logger -t $MODCLUSTERD "shutdown failed"
+			rtrn=1
 		fi
-		rtrn=0
 		echo
-		;;
+	;;
 
-        condrestart)
-               if [ -f ${PIDFILE} ] ; then
-		   $0 restart
-		   rtrn=$?
-	       fi
-	       ;;
-
-        reload)
-               rtrn=0
-	       ;;
+	condrestart)
+		if [ -f ${PIDFILE} ] ; then
+			$0 restart
+			rtrn=$?
+		fi
+	;;
+
+	reload)
+		rtrn=3
+	;;
 
 	*)
 		echo $"Usage: $0 {start|stop|reload|restart|status}"
-		rtrn=1
-		;;
-
+		rtrn=3
+	;;
 esac
 
 exit $rtrn


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]